%define realname NoCatSplash

Summary:	Open Public Network Gateway Daemon
Name:		nocatsplash
Version:	0.93pre2
Release:	%mkrel 5
License:        GPL
Group:		Networking/Remote access
BuildRequires:	glib-devel
Source0:	http://nocat.net/download/%{realname}/%{realname}-%{version}.tar.bz2
Source1:	NoCatSplashSetup.txt
Source2:	%{realname}-firewall-scripts.tar.bz2
Patch0:		NoCatSplash-mdv-greeting.patch
URL:            http://nocat.net/wiki/index.cgi?NoCatSplash
BuildRoot:	%{_tmppath}/%{name}-root
Requires:	iptables

%description
NoCatSplash is a Open Public Network Gateway Daemon.  It performs as a
[captive/open/active] portal.  When run on a gateway/router on a network,
all web requests are redirected until the client either logs in or clicks
"I Accept" to an AUP. The gateway daemon then changes the firewall rules
on the gateway to pass traffic for that client (based on IP address and
MAC address).

%prep

%setup -q -a2 -n %{realname}-%{version}
%patch0 -p1
cp %SOURCE1 .

%build
%configure --with-firewall=iptables
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO NoCatSplashSetup.txt
%dir %{_datadir}/nocat
%{_datadir}/nocat/*
%dir %{_libdir}/nocat
%{_libdir}/nocat/*
%{_sbindir}/splashd
%config(noreplace) %{_sysconfdir}/nocat.conf
%{_mandir}/man5/*
%{_mandir}/man8/*




%changelog
* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.93pre2-5mdv2009.0
+ Revision: 254017
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.93pre2-3mdv2008.1
+ Revision: 170999
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 0.93pre2-2mdv2008.1
+ Revision: 141006
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Feb 12 2007 Stew Benedict <sbenedict@mandriva.com> 0.93pre2-2mdv2007.0
+ Revision: 120126
- Import nocatsplash

* Mon Feb 12 2007 Stew Benedict <sbenedict@mandriva.com> 0.93pre2-2mdv2007.1
- rebuild

* Fri Jan 13 2006 Stew Benedict <sbenedict@mandriva.com> 0.93pre2-1mdk
- 0.93pre2, Mandrake->Mandriva

* Wed Dec 15 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.91-1mdk
- 0.91, update setup doc, Mandrake Linux -> Mandrakelinux
- add missing firewall scripts from 0.00

